/* ======== css for web main page ======== */

/* SPACE SIZE (px)
8px 16px 24px 32px 40px 48px 56px 64px 72px 80px 88px 96px 104px 112px 120px 128px */

/* FONT SIZE (px)
 12px 14px 16px 24px 32px 40px 48px 56px 64px 72px 80px 88px 96px 104px 112px 120px 128px  */

/* FONT WEIGHT 
400 500 600 700 */

/* LINE HEIGHT 
1 1.2 1.5 2   */

/* COLORS 
main color   #6461f6
shade main color  #504ec5
second color #fcf800
Gary color: #141331  #5c5c5c
*/

/* ================================= */
/* HEADER SECTION */
/* ================================= */

/* LOGO */

/* .header {
  height: 8.4rem;
} */

.header-container {
  /* height: 100%; */

  padding: 0 3.2rem;

  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 1.6rem;

  border-bottom: 1px solid #5c5c5c;
}

.web-logo {
  padding-top: 0.8rem;
}

.web-name {
  font-size: 3.2rem;
  font-weight: 800;
  font-style: italic;
  letter-spacing: -0.2rem;
  font-family: "Pliant";

  color: #141331;
}

/* NAVIGATION LINKS */

.main-nav {
  display: block;

  padding-bottom: 0.8rem;
}

.main-nav-lists {
  list-style: none;

  display: flex;
  gap: 4.8rem;
  align-items: center;
}

.main-nav-lists .main-nav-link:link,
.main-nav-lists .main-nav-link:visited {
  font-weight: 400;
  color: #141331;

  display: inline-block;

  padding: 0.3rem 0;

  position: relative;
}

.main-nav-lists .main-nav-link:link::after,
.main-nav-lists .main-nav-link:visited::after {
  content: "";

  position: absolute;
  bottom: 0;
  left: 0;
  width: 0;
  height: 0.2rem;
  border-radius: 20rem;
  background: #6461f6;
  transition: width 0.2s ease;
}

.main-nav-lists .main-nav-link:hover::after,
.main-nav-lists .main-nav-link:active::after {
  width: 100%;
}

/* SCROLL TO THE TOP */

/* .main-nav-link.scroll-top:hover,
.main-nav-link.scroll-top:active {
  color: #00996a;
}

.main-nav-link.scroll-top:hover::after,
.main-nav-link.scroll-top:active::after {
  display: none;
}

.main-nav [name="arrow-up-outline"] {
  width: 2rem;
  height: 2rem;

  border: 1px solid #00996a;
  border-radius: 50%;

  padding: 0.4rem;
} */

/* mobile navigation icon */

.btn-mobile-nav {
  border: none;
  background: none;
  cursor: pointer;
  display: none;
}

.mobile-nav-icon {
  width: 4rem;
  height: 4rem;
  color: #6461f6;
}

/* Freeze Navigation */

/* .freeze-nav .header {
  position: fixed;
  top: 0;
  bottom: 0;
  width: 100%;
  height: 8.4rem;
  background-color: rgba(255, 255, 255, 0.98);
  z-index: 999;
  box-shadow: 0 1.2rem 3.2rem rgba(116, 123, 128, 0.05);
}

.freeze-nav .hero-section {
  padding-top: 8.4rem;
} */

/* ================================= */
/* HERO SECTION */
/* ================================= */

.hero-section {
  padding: 3.2rem 0 2.4rem 0;
}

.hero-container {
  padding: 0 3.2rem;
}

.photo-title-text {
  display: grid;
  grid-template-columns: 1fr 2fr;
  align-items: center;

  column-gap: 4.8rem;
}

.photo-title {
  font-size: 4.8rem;
  letter-spacing: 0.3rem;
  font-weight: 400;
  line-height: 1.2;
  font-family: "ZCOOL QingKe HuangYou", "Noto Serif SC", serif;

  color: #6461f6;

  position: relative;
}

.photo-title::after {
  content: "";
  display: block;
  width: 1px;
  height: 100%;
  background-color: #9d9d9d;

  position: absolute;
  right: -2.4rem;
  bottom: 0;
}

.photo-text {
  font-size: 1.2rem;
  color: #141331;
  line-height: 1.5;
  font-style: italic;

  opacity: 0.7;
}

.photo-frame {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.photo-horizontal {
  width: 100%;
}

.photo-vertical {
  width: 60%;
}

.shot-info {
  font-size: 1.6rem;
  font-style: italic;
  color: #5c5c5c;
}

/* ================================= */
/* CONTENT SECTION */
/* ================================= */

.content-section {
  padding: 2.4rem 0 4.8rem 0;
}

.content-container {
  padding: 0 3.2rem;

  grid-template-columns: 3fr 1fr;

  column-gap: 6.4rem;
}

/* =========== contents style ========== */

.section-title {
  font-size: 3.6rem;
  color: #141331;
  font-weight: 400;
  letter-spacing: -0.1rem;

  padding-bottom: 0.5rem;
  border-bottom: 1px solid #5c5c5c;
}

.recent-content-lists {
  display: flex;
  flex-direction: column;
  gap: 6.4rem;
}

.recent-content-list {
  position: relative;

  grid-template-columns: 2fr 5fr;
  column-gap: 2.4rem;
}

/* .recent-content-list:first-child::before {
  content: "NEW";

  font-size: 1.4rem;
  font-weight: 600;
  color: #fff;
  background-color: #6461f6;

  padding: 0.5rem 1rem;

  position: absolute;
  right: 0;
  bottom: 0;

  z-index: 99;
} */

.recent-content-list:not(:last-child)::after {
  content: "";
  width: 100%;
  height: 1px;
  background-color: #e6e6e6;

  position: absolute;
  bottom: -3.2rem;
  left: 0;
}

.content-thumbnail-frame {
  overflow: hidden;
}

.content-thumbnail {
  width: 100%;

  transition: all 0.5s;
}

.content-thumbnail:hover {
  transform: scale(1.02);
}

.content-text {
  display: flex;
  flex-direction: column;
}

.content-title:link,
.content-title:visited {
  font-size: 2.4rem;
  font-weight: 300;
  line-height: 1.2;
  text-decoration: none;
  color: #000;

  margin-bottom: 1.2rem;

  display: inline-block;

  transition: all 0.2s ease;
}

.content-title:hover,
.content-title:active {
  color: #6461f6;
}

.content-description {
  font-size: 1.6rem;
  line-height: 1.5;
  color: #5c5c5c;

  /* flex-grow: 1; */

  margin-bottom: 1.2rem;

  /* display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 6; 
  overflow: hidden; */
}

.author-date {
  display: flex;
  gap: 3.2rem;
  align-items: center;
}

.content-author:link,
.content-author:visited {
  font-size: 1.4rem;
  font-style: italic;
  color: #6461f6;
}

.update-date {
  font-size: 1.4rem;
  font-style: italic;
  color: #6d7379;
}

/* =============== Album style ============== */

.album-lists {
  display: flex;
  flex-direction: column;
  gap: 2.4rem;
}

.album-list {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.album-link:link,
.album-link:visited {
  width: 100%;
  aspect-ratio: 2/3;

  background-size: cover;

  position: relative;
}

.album-link-qinggan:link,
.album-link-qinggan:visited {
  background-image:
    linear-gradient(rgb(0, 0, 0, 0.25), rgb(0, 0, 0, 0.25)),
    url(/01_Home_img/album/七彩丹霞.jpg);
}

.album-link-guilin:link,
.album-link-guilin:visited {
  background-image:
    linear-gradient(rgb(0, 0, 0, 0.25), rgb(0, 0, 0, 0.25)),
    url(/01_Home_img/album/相公山日出.jpg);
}

.album-name {
  font-size: 2.4rem;
  color: #fff;
  font-weight: 400;
  text-align: center;

  width: 100%;

  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);

  display: flex;
  flex-direction: column;
  gap: 0.8rem;
}

.album-name-zh {
  letter-spacing: 0.3rem;
}

.album-name-en {
  letter-spacing: 0.8rem;
  text-transform: uppercase;
}

.album-text {
  font-size: 1.4rem;
  color: #5c5c5c;
  line-height: 1.5;
  margin-bottom: 1.6rem;
}

/* ================================= */
/* FOOTER SECTION */
/* ================================= */

.footer {
  border-top: 1px solid #eee;

  padding: 4.8rem 3.2rem;
}

.footer-container {
  align-items: center;
}

.footer-item:nth-child(1) {
  justify-self: left;
}
.footer-item:nth-child(2) {
  justify-self: center;
}

.footer-item:nth-child(3) {
  justify-self: right;
}

.footer-logo {
  width: 6.5rem;
  height: 6.5rem;
}

.copyright {
  font-size: 1.4rem;
  color: #5c5c5c;
}

.contact-icons {
  display: flex;
  gap: 2.4rem;
}

.contact-link:link,
.contact-link:visited {
  color: #6d7379;
}

.contact-icon {
  width: 2.4rem;
  height: 2.4rem;
}

/* display state */

.weichat-icon,
.douyin-icon {
  position: relative;
}

.weichat-qr-frame,
.douyin-qr-frame {
  width: 12.8rem;

  position: absolute;
  top: 0;
  right: 0;
  transform: translate(40%, -110%);

  transition: all 0.3s;
}

.weichat-qr,
.douyin-qr {
  width: 100%;
}

/* close state */

.weichat-icon-close {
  display: none;
}
